massspectrum.h File Reference

basic mass spectrum More...

`#include <vector>`
`#include <memory>`
`#include <limits>`
`#include <QDataStream>`
`#include "../exportinmportconfig.h"`
`#include "../mzrange.h"`
`#include "../trace/trace.h"`

Go to the source code of this file.

## Classes

class | pappso::MassSpectrum
| Class to represent a mass spectrum. More...

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MassSpectrum > | pappso::MassSpectrumSPtr
typedef std::shared_ptr< const MassSpectrum > | pappso::MassSpectrumCstSPtr

## Functions

QDataStream & | pappso::operator<< (QDataStream &outstream, const MassSpectrum &massSpectrum)
QDataStream & | pappso::operator>> (QDataStream &instream, MassSpectrum &massSpectrum)

## Detailed Description

basic mass spectrum

Date
  15/3/2015

Author
  Olivier Langella

Definition in file massspectrum.h.